Subject: Re: [sipcore] More comments regarding draft-ietf-sipcore-sip-push-08 - Pull request

From: Christer Holmberg <[email-masked]>
Date: Mon, 19 Mar 2018 11:55:15 +0000

Hi,

I have created a pull request based on Dale's comments.

https://github.com/cdh4u/draft-sip-push/pull/16

However, below is one change I previously agreed to, but realized it goes against the original intention:

...

>> sec 4
>>
>>   In addition, if the response contains a Feature-Caps header field
>>   with a 'sip.vapid' feature-capability indicator, the UA can use the
>>   Voluntary Application Server Identification VAPID) mechanism
>>   [RFC8292] to restrict push notifications to the proxy (assuming that
>>   the PNS supports VAPID).
>>
>> I think you want to be more explict that 'sip.vapid' only indicates that the 
>> proxy supports VAPID.  Perhaps:
>>
>>   In addition, if the response contains a Feature-Caps header field
>>   with a 'sip.vapid' feature-capability indicator, the proxy supports
>>   use of the Voluntary Application Server Identification VAPID)
>>   mechanism [RFC8292] to restrict push notifications to the proxy.
>>   However, the use of VAPID also requires that the PNS supports
>>   VAPID, and determining that is the responsibility of the UA, not
>>   the proxy.

My original assumption was that the proxy will indicate support of VAPID if it knows that the PNS supports VAPID. That is indicated in "will use", but I guess that the text could be clarified.

"if the proxy supports the VAPID mechanism, knows that the mechanism is supported by the PNS, and the proxy will use the mechanism, the proxy MUST..."

Regards,

Christer